# Get Merchant Assets

**Prerequisites:**

Make sure the tokens you intend to accept are **enabled and fully configured** in the **Assets** section of your OMY Payments dashboard (<https://dashboard.omypayments.com/>).

{% content-ref url="/pages/r3JfZmGJoPhkWSXmnwvL" %}
[Enabling Tokens](/getting-started/markdown/enabling-tokens.md)
{% endcontent-ref %}

**Request:**

```http
GET /1.0/merchant/assets
```

**Response (200 OK):**

```json
{
  "assets": [ // Merchant assets list
    {
      "id": "uuid", // Asset UUID
      "wallet": "0x0000000000000000000000000000000000000000", // Merchant asset wallet address
      "feePercent": "5", // Metchant asset fee in percent
      "feeUsd": "1", // Merchant asset fee in USD
      "balance": "0", // Merchant asset balance
      "balanceInUsd": "0", // Merchant asset balance in USD
      "crypto": { // Asset cryto
        "id": "uuid", // Crypto UUID
        "title": "Tether USD", // Crypto title
        "symbol": "USDT" // Crypto symbol
        "contractAddress": "0x0000000000000000000000000000000000000000" // Crypto contract address
        "decimals": 6 // Crypto decimals
        "logoURI": "https://..." // Crypto logo URI
      },
      "network": { // Asset network
        "id": "UUID", // Network UUID
        "title": "Ethereum", // Network title
        "symbol": "ETH", // Network symbol
        "chainId": "1" // Network chain ID
        "chainType": "evm" // Network type
      },
      "createdAt": "2025-01-01 00:00:00" // Asset datetime creation (UTC+0)
    }
  ]
}

```

**Error Response (500 Internal Server Error):**

```json
{
    "success": false,
    "message": "Internal Server Error",
    "statusCode": 500
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omypayments.com/api/api-endpoints/get-merchant-assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
